print("register fruit types: Glle, "..g_i18n:getText("manure")..", "..g_i18n:getText("milk")..", "..g_i18n:getText("strawbale")..", "..g_i18n:getText("haybale"));

local hudFileLiquidManure = Utils.getFilename("map01/liquidManureHUD.png", g_currentModDirectory);
local hudFileManure = Utils.getFilename("map01/manureHUD.png", g_currentModDirectory);
local hudFileMilk = Utils.getFilename("map01/milkHUD.png", g_currentModDirectory); 
local hudFileStrawbale = Utils.getFilename("map01/strawbaleHUD.png", g_currentModDirectory); 
local hudFileHaybale = Utils.getFilename("map01/haybaleHUD.png", g_currentModDirectory); 

--(string name,bool needsSeeding,bool allowsSeeding,bool hasStraw,int minHarvestingGrowthState,float pricePerLiter,float literPerQm,float seedUsagePerQm,float seedPricePerLiter,string hudFruitOverlayFilename) 	
FruitUtil.registerFruitType("liquidManure",	false,false,false,0,0.2,1,0.01,0.5,hudFileLiquidManure);
FruitUtil.registerFruitType("manure",false,false,false,0,0.2,0.01,1,1,hudFileManure);  
FruitUtil.registerFruitType("milk",false,false,false,0,0.2,0.01,1,1,hudFileMilk);
FruitUtil.registerFruitType("strawbale",false,false,false,0,0.2,0.01,1,1,hudFileStrawbale);
FruitUtil.registerFruitType("haybale",false,false,false,0,0.2,0.01,1,1,hudFileHaybale);
	
local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;

	self.seeds = {};
	local i = 1;
	for k, fruitType in pairs(FruitUtil.fruitTypes) do
		if fruitType.allowsSeeding then
			self.seeds[i] = fruitType.index;
			i = i + 1;
		end;
	end;	
end;
